Loading...
Searching...
No Matches
ForceFields::CrystalFF::ExpTorsionAngle Struct Reference

A structure used to the experimental torsion patterns. More...

`#include <TorsionPreferences.h>`

## Public Attributes

unsigned int | torsionIdx
std::string | smarts
std::vector< double > | V
std::vector< int > | signs
std::unique_ptr< const RDKit::ROMol > | dp_pattern
unsigned int | idx [4]

## Detailed Description

A structure used to the experimental torsion patterns.

Definition at line 25 of file TorsionPreferences.h.

## Member Data Documentation

## dp_pattern

std::unique_ptr<const RDKit::ROMol> ForceFields::CrystalFF::ExpTorsionAngle::dp_pattern

Definition at line 30 of file TorsionPreferences.h.

## idx

unsigned int ForceFields::CrystalFF::ExpTorsionAngle::idx[4]

Definition at line 31 of file TorsionPreferences.h.

## signs

std::vector<int> ForceFields::CrystalFF::ExpTorsionAngle::signs

Definition at line 29 of file TorsionPreferences.h.

## smarts

std::string ForceFields::CrystalFF::ExpTorsionAngle::smarts

Definition at line 27 of file TorsionPreferences.h.

## torsionIdx

unsigned int ForceFields::CrystalFF::ExpTorsionAngle::torsionIdx

Definition at line 26 of file TorsionPreferences.h.

## V

std::vector<double> ForceFields::CrystalFF::ExpTorsionAngle::V

Definition at line 28 of file TorsionPreferences.h.

The documentation for this struct was generated from the following file:

- TorsionPreferences.h